package metric

var (
	serv *service
)

type Config struct {
	Address  string
	Username string
	Password string
	Database string
	Interval int
}

func NewConfg() *Config {
	return &Config{
		Address:  "10.0.1.15:17000",
		Interval: 10,
	}
}

func Init(c *Config) error {
	if serv != nil {
		return nil
	}

	serv = NewService(c)
	go serv.run()
	return nil
}

func (c *Config) Default() {
	if c.Database == "" {
		c.Database = "telegraf"
	}
	if c.Interval == 0 {
		c.Interval = 10
	}
}
